Subject: bug#32002: 24.4; Scroll bar start, end not correct

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Jul 2018 19:35:23 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Andrew Kurn <[email-masked]>,  [email-masked]
> Date: Thu, 12 Jul 2018 17:57:16 +0200
> 
> > So you are saying that no matter how many time/how long do you move
> > the thumb up, the text never re-appears?  Does Emacs receive
> > scroll-bar scroll events when you do that (you can verify that with
> > "C-h l")?
> 
> I see this (on master built with GTK+ Version 3.22.28) when I position
> the mouse pointer over the scroll bar and rotate the mouse wheel
> (without clicking a mouse button): the scroll bar moves but the text
> does not scroll, and view-lossage shows no scroll event.

That's expected (and is an entirely different issue): mwheel.el only
scrolls when the mouse pointer is above the text area.  You can
clearly see that in the code.

> Also in contrast, when I click and hold down mouse-1 on the scroll bar
> and drag it, the scroll bar moves and the text scrolls, and view-lossage
> shows this:
>  <mouse-1>		  ;; scroll-bar-toolkit-scroll

That's what I was asking Andrew about.